/* CHOPINSERT.C - chopinsert() function */

#include "environ.h"

#ifdef OS9
#include <strings.h>
#else
#include <string.h>
#endif

/* 
    chopinsert() adds a entry to the search table in the place indicated by 
                 InsertPoint. It returns Tablimit if the table is full,
                 zero if the insert was OK.
*/
int chopinsert(void **Table,
               int *Items,
               int Tablimit,
               void *NewItem,
               int InsertPoint)
{
   int i;

   if (*Items >= Tablimit)
       return(Tablimit);

   for (i = *Items; i > InsertPoint; i--)
      Table[i] = Table[i-1];

   (*Items)++;
      Table[InsertPoint] = NewItem;

   return(0);
}
