/* testitoa - itoa() test harness */

#include <stdio.h>
#include "environ.h"

#ifdef MSDOS
#include <stdlib.h>
#endif

int main(int argc, char** argv)
{
    char buffer[65],
         *p_buff;
    int  val;

    if (argc != 2)
    {
        printf("Must supply exactly one argument\n");
    }
    else
    {
        val = atoi(argv[1]);
        printf("%s accepted as %d\n\n", argv[1], val);

        p_buff = itoa(val,buffer,10); /* decimal */
        printf("Decimal: %s\n",p_buff);

        p_buff = itoa(val,buffer,2);     /* binary */
        printf("Binary: %s\n",p_buff);

        p_buff = itoa(val,buffer,16); /* hex */
        printf("Hex: %s\n",p_buff);
    }
         
    exit(0);
}

